RDKit: RDKit::ExclusionList Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::ExclusionList Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::ExclusionList:

## Public Member Functions
| ExclusionList ()
| ExclusionList (const std::vector< boost::shared_ptr< FilterMatcherBase > > &offPatterns)
virtual std::string | getName () const
bool | isValid () const
void | addPattern (const FilterMatcherBase &base)
void | setExclusionPatterns (const std::vector< boost::shared_ptr< FilterMatcherBase > > &offPatterns)
virtual bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &) const
| getMatches More...
virtual bool | hasMatch (const ROMol &mol) const
| hasMatches More...
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const
| Clone. More...
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()

## Detailed Description

Definition at line 370 of file FilterMatchers.h.

## Constructor & Destructor Documentation

RDKit::ExclusionList::ExclusionList | ( |  | ) |
| inline

Definition at line 374 of file FilterMatchers.h.

Referenced by Clone().

RDKit::ExclusionList::ExclusionList | ( | const std::vector< boost::shared_ptr< FilterMatcherBase > > & | offPatterns | ) |
| inline

Constructs an ExclusionList true if non of the FilterMatcherBases are true Syntactic sugar for using FilterMatchOps; And(Not(SmartsMatcher(pat1), And(Not(SmartsMatcher(pat2)), And(Not(Single...

Definition at line 384 of file FilterMatchers.h.

## Member Function Documentation

void RDKit::ExclusionList::addPattern | ( | const FilterMatcherBase & | base | ) |
| inline

Definition at line 404 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::Clone(), RDKit::FilterMatcherBase::isValid(), and PRECONDITION.

virtual boost::shared_ptr<FilterMatcherBase> RDKit::ExclusionList::Clone | ( |  | ) | const
| inlinevirtual

Clone.

Implements RDKit::FilterMatcherBase.

Definition at line 436 of file FilterMatchers.h.

References ExclusionList().

virtual bool RDKit::ExclusionList::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const
| inlinevirtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 414 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

virtual std::string RDKit::ExclusionList::getName | ( |  | ) | const
| inlinevirtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 388 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

virtual bool RDKit::ExclusionList::hasMatch | ( | const ROMol & | mol | ) | const
| inlinevirtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 425 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

bool RDKit::ExclusionList::isValid | ( |  | ) | const
| inlinevirtual

Implements RDKit::FilterMatcherBase.

Definition at line 398 of file FilterMatchers.h.

Referenced by getMatches(), and hasMatch().

void RDKit::ExclusionList::setExclusionPatterns | ( | const std::vector< boost::shared_ptr< FilterMatcherBase > > & | offPatterns | ) |
| inline

Definition at line 409 of file FilterMatchers.h.

The documentation for this class was generated from the following file:

- FilterMatchers.h